using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            int t = Convert.ToInt32(Console.ReadLine());
            for(int i = 0; i<t;i++)
            {
                int n = Convert.ToInt32(Console.ReadLine());
                int l = 0;
                string unos1 = Console.ReadLine();
                string unos2 = Console.ReadLine();
                List<char> u2 = new List<char>();
                for(int j = 0; j < unos2.Length; j++)
                {
                    u2.Add(unos2[j]);
                }
                int duzina2 = unos2.Length;
                int duzina1 = unos1.Length; 
                for (int j = 0; j < unos2.Length; j++)
                {
                    if (u2[j] == '-' || u2[j] == ' ')
                    {
                        u2.Remove(u2[j]);
                    }
                    duzina2--;
                    i--;
                }
                List<char> u1 = new List<char>();
                for (int j = 0; j < unos1.Length; j++)
                {
                    u1.Add(unos1[j]);
                    if (u1[j] == '-' || u1[j] == ' ')
                    {
                        u1.Remove(u1[j]);
                    }
                    i--;
                    duzina1--;
                }
                List<int> a = new List<int>();
                List<int> b = new List<int>();
                for (int j = 0; j < n; j++)
                {
                    b.Add(u2[j]);
                }
                for (int j = 0; j < n; j++)
                {
                    a.Add(u1[j]);
                }
                for(int j = 0; j < n; j++)
                {
                    for(int k = 0; k < n; k++)
                    {
                        if(a[j] == b[k])
                        {
                            l++;
                            a.Remove(a[j]);
                            b.Remove(b[k]);
                            break;
                        }
                    }
                }
                if (l == n)
                {
                    Console.WriteLine("DA");
                }
                else
                {
                    Console.WriteLine("NE");
                }
            }
            Console.ReadLine();
        }
    }
}